namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "moongeist_beam")]
public class MoongeistBeam : Script, IScriptOnBeforeAnyHookInvoked
{
    /// <inheritdoc />
    public void OnBeforeAnyHookInvoked(ref List<ScriptCategory>? suppressedCategories)
    {
        suppressedCategories ??= [];
        suppressedCategories.Add(ScriptCategory.Ability);
    }
}